<?php

declare(strict_types = 1);

use PhpCsFixer\{Config, Finder, Runner\Parallel\ParallelConfigFactory};

$finder = (new Finder())->in([
    __DIR__ . '/src',
])->exclude(['vendor'])->name('*.php')->ignoreDotFiles(true);

return (new Config())->setRules([
    '@PSR12'                  => true,
    'declare_equal_normalize' => [
        'space' => 'single',
    ],
    'single_line_empty_body'  => true,
    // 'group_to_single_imports' => false,
    'binary_operator_spaces'  => [
        'default'   => 'single_space',
        'operators' => [
            '=>' => null,
        ],
    ],
])->setParallelConfig(ParallelConfigFactory::detect())->setUsingCache(true)->setRiskyAllowed(true)->setFinder(
    $finder
)->setIndent('    ')->setLineEnding("\n");
