<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-06
 * @time: 14:06
 */

declare(strict_types = 1);

namespace Pattern\Behavioral\Observer;

use SplObserver;
use SplSubject;

class UserObserver implements SplObserver
{
    private array $namesLog = [];

    public function update(SplSubject $subject): void
    {
        /** @var User $subject */
        $this->namesLog[] = $subject->getName();
    }

    public function getNamesLog(): array
    {
        return $this->namesLog;
    }
}
