<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 20:07
 */

declare(strict_types = 1);

namespace Pattern\Creational\AbstractFactory;

interface AbstractFactoryInterface
{
    /**
     * @return DeliveryServiceInterface
     */
    public function createDeliveryService(): DeliveryServiceInterface;

    /**
     * @return PackageInterface
     */
    public function createPackage(): PackageInterface;
}
