<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-04
 * @time: 00:21
 */

declare(strict_types = 1);

namespace Pattern\Creational\Builder;

class BigMac
{
    /**
     * @var array
     */
    private array $ingredients = [];

    /**
     * @param  string  $ingredient
     *
     * @return $this
     */
    public function setIngredient(string $ingredient): static
    {
        $this->ingredients[] = $ingredient;

        return $this;
    }

    /**
     * @return array
     */
    public function getIngredients(): array
    {
        return $this->ingredients;
    }
}
