<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-04
 * @time: 00:32
 */

declare(strict_types = 1);

namespace Pattern\Creational\Builder;

/**
 * The BigMacBuilderInterface specifies methods for creating the different parts of
 * the BigMac objects.
 */
interface BigMacBuilderInterface
{
    public function produceBun(): void;

    public function produceVeganBun(): void;

    public function produceMeat(): void;

    public function produceVeganMeat(): void;

    public function produceSauce(): void;

    public function produceVeganSauce(): void;

    public function produceLettuce(): void;

    public function produceCheese(): void;

    public function produceVeganCheese(): void;

    public function producePickles(): void;

    public function produceOnions(): void;
}
