<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 22:38
 */

declare(strict_types = 1);

namespace Pattern\Structural\Adapter;

use JsonException;

final readonly class JsonToPHPArrayReportAdapter implements PHPArrayReportInterfaceAdapter
{
    public function __construct(private JsonReport $report) {}


    /**
     * @throws JsonException
     */
    public function getData(): array
    {
        $data = $this->report->buildJson();

        return json_decode($data, true, 512, JSON_THROW_ON_ERROR);
    }
}
