<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 22:38
 */

declare(strict_types = 1);

namespace Pattern\Structural\Adapter;

final readonly class SerializedToPHPArrayReportAdapter implements PHPArrayReportInterfaceAdapter
{
    public function __construct(private SerializedReport $report) {}


    public function getData(): array
    {
        return unserialize($this->report->getData(), ["allowed_classes" => false]);
    }
}
