<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-06
 * @time: 12:08
 */

declare(strict_types = 1);

namespace Pattern\Structural\Decorator;

class OilChange implements CarServiceInterface
{
    public function __construct(protected CarServiceInterface $carService) {}

    public function getCost(): float
    {
        return 29.89 + $this->carService->getCost();
    }

    public function getDescription(): string
    {
        return $this->carService->getDescription() . ', and oil change';
    }
}
