<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-06
 * @time: 12:41
 */

declare(strict_types = 1);
namespace Pattern\Structural\Decorator;

class TireRotation implements CarServiceInterface
{
    public function __construct(protected CarServiceInterface $carService) {}

    public function getCost(): float
    {
        return 25.14 + $this->carService->getCost();
    }

    public function getDescription(): string
    {
        return $this->carService->getDescription() . ', and tire rotation';
    }
}
