<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 09:07
 */

declare(strict_types = 1);

use Random\RandomException;

/**
 * @param ...$vars
 *
 * @return void
 */
function dump(...$vars): void
{
    echo '<pre><code class="language-stylus">';
    var_dump(...$vars);
    echo '</code></pre>';
}

/**
 * @return string
 */
function trace(): string
{
    $traced = debug_backtrace();

    // Maybe this is useless, but anyway...
    $offset = __FUNCTION__ === $traced[0]['function'] ? 1 : 0;
    $traced = $traced[$offset];

    return sprintf('%s@%s:%d', $traced['function'], $traced['file'], $traced['line']);
}

/**
 * @throws RandomException
 */
function getFloatRange(): float
{
    return (float)random_int(1000, 999999) / 100;
}
